Skip to main content
POST
/
query
/
runs
/
{runId}
/
feedback
Submit thumbs up/down feedback on a completed agent run
curl --request POST \
  --url https://api.datalinks.com/api/v1/query/runs/{runId}/feedback \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "thumbsUp": true,
  "comment": "<string>"
}
'
{
  "error_code": "UNAUTHORIZED",
  "message": "Missing authentication token",
  "error_message": "",
  "sub_errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Use a Bearer token for authentication. Submit the token using the Authorization header: Authorization: Bearer <token>.

Path Parameters

runId
string<uuid>
required

Body

application/json
thumbsUp
boolean
required

True for a thumbs up, false for a thumbs down.

comment
string

Optional free-text comment accompanying the rating.

Response

Feedback recorded.